%global realname etap
%global upstream ngerakines
# Technically, we're noarch; but erlang whose directories we install into is not.
%global debug_package %{nil}


Name:		erlang-%{realname}
Version:	0.3.4
Release:	15%{?dist}
Summary:	Erlang testing library
Group:		Development/Languages
License:	BSD
URL:		https://github.com/%{upstream}/%{realname}
%if 0%{?el7}%{?fedora}
VCS:		scm:git:https://github.com/%{upstream}/%{realname}.git
%endif
Source0:	https://github.com/%{upstream}/%{realname}/archive/%{version}/%{realname}-%{version}.tar.gz
Patch1:		erlang-etap-0001-Add-missing-right-parenthesis.patch
Patch2:		erlang-etap-0002-s-http-httpc.patch
Patch3:		erlang-etap-0003-Fix-for-R16B.patch
Patch4:		erlang-etap-0004-Add-basic-.app.src.patch
Patch5:		erlang-etap-0005-Deprecated-BIF-erlang-now-0.patch
Patch6:		erlang-etap-0006-Typos-in-function-specifications.patch
BuildRequires:	erlang-rebar


%description
Etap is a collection of Erlang modules that provide a TAP testing client
library.


%prep
%setup -q -n %{realname}-%{version}
%patch1 -p1 -b .add_missing_parenthesis
%patch2 -p1 -b .httpc
%patch3 -p1 -b .R16
%patch4 -p1 -b .app_src
%patch5 -p1 -b .deprecated_bif
%patch6 -p1 -b .typos
# Fails to pass this test - networking isn't available in Koji
rm -f ./t/etap_t_005.erl


%build
%{erlang_compile}


%install
%{erlang_install}
# No longer required
rm -f ebin/pmod_pt.beam


%check
make test


%files
%doc README.markdown
%{erlang_appdir}/


%changelog
* Fri May 27 2016 Peter Lemenkov <lemenkov@gmail.com> - 0.3.4-15
- Spec-file cleanups

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.4-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Mar 02 2013 Peter Lemenkov <lemenkov@gmail.com> - 0.3.4-9
- Fix building with R16
- Remove support for EL4 and EL5

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Oct 21 2010 Peter Lemenkov <lemenkov@gmail.com> 0.3.4-5
- Fixed missing runtime dependency on EL-4
- Added %%check target

* Tue Sep 28 2010 Peter Lemenkov <lemenkov@gmail.com> 0.3.4-4
- Narrowed BuildRequires

* Mon Jul 12 2010 Peter Lemenkov <lemenkov@gmail.com> 0.3.4-3
- Rebuild for Erlang/OTP R14A
- Simplified spec-file

* Thu May 13 2010 Peter Lemenkov <lemenkov@gmail.com> 0.3.4-2
- Narrowed explicit requires

* Wed Apr  7 2010 Peter Lemenkov <lemenkov@gmail.com> 0.3.4-1
- initial package

